From 2be0a7a8f18dcc83a0e067275f93dd20e0172eaa Mon Sep 17 00:00:00 2001
From: Aleksander Alekseev <aleksander@timescale.com>
Date: Thu, 8 Sep 2022 20:08:21 +0300
Subject: [PATCH v1] Add a missing comment for PGPROC.pgprocno

Aleksander Alekseev, reviewed by TODO FIXME
Discussion: TODO FIXME
---
 src/include/storage/proc.h | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/src/include/storage/proc.h b/src/include/storage/proc.h
index 2579e619eb..6c9ee9f5c4 100644
--- a/src/include/storage/proc.h
+++ b/src/include/storage/proc.h
@@ -191,7 +191,11 @@ struct PGPROC
 
 	int			pgxactoff;		/* offset into various ProcGlobal->arrays with
 								 * data mirrored from this PGPROC */
-	int			pgprocno;
+
+	int			pgprocno;		/* Number of this PGPROC in
+								 * ProcGlobal->allProcs array. This is set
+								 * once by InitProcGlobal().
+								 * ProcGlobal->allProcs[n].pgprocno == n */
 
 	/* These fields are zero while a backend is still starting up: */
 	BackendId	backendId;		/* This backend's backend ID (if assigned) */
-- 
2.37.2

